<?php
/**
 * Mobile Basic template for Mobile Joomla! extension
 * https://www.mobilejoomla.com
 *
 * @version        3.2.2
 * @license        GNU/GPL v2 - http://www.gnu.org/licenses/gpl-2.0.html
 * @copyright    (C) 2008-2024 Kuneri Ltd. / Denis Ryabov
 * @date        February 2024
 */
defined('_JEXEC') or die('Restricted access');

/** @var JApplicationSite $app */
$app = JFactory::getApplication();
/** @var MobileJoomla $mj */
$mj_list = $app->triggerEvent('onGetMobileJoomla');
$mj = array_pop($mj_list);
if ($mj === null) {
    die('Enable System - Mobile Core plugin!');
}

include_once __DIR__ . '/includes/mjjqmframework.php';
include_once __DIR__ . '/includes/mj.renderer.php';
MJJqmFramework::getInstance($this);

//params
$theme_page = $this->params->get('theme_page');
$theme_header = $this->params->get('theme_header');

$doc = JFactory::getDocument();
/** @var MjDevice $mjDevice */
$mjDevice = $mj->device; // used by common-headers.php

$base = $this->baseurl . '/templates/' . $this->template;

include __DIR__ . '/includes/process.php';
?>
<!doctype html>
<html>
<head>
    <?php include __DIR__ . '/includes/common-headers.php'; ?>
    <jdoc:include type="mjhead"/>
</head>
<body>
<div data-role="page"<?php if ($theme_page) {
    echo " data-theme=\"$theme_page\"";
} ?>>
    <jdoc:include type="mjbody"/>
    <main class="content ui-content" data-role="main">
        <jdoc:include type="message"/>
        <div class="jcomponent"<?php if (!$this->params->get('enhance')) {
            echo ' data-enhance="false"';
        } ?>>
            <jdoc:include type="component"/>
        </div>
    </main>
</div>
</body>
</html>