<?php
/**
 * Mobile Basic template for Mobile Joomla! extension
 * https://www.mobilejoomla.com
 *
 * @version        3.2.2
 * @license        GNU/GPL v2 - http://www.gnu.org/licenses/gpl-2.0.html
 * @copyright    (C) 2008-2024 Kuneri Ltd. / Denis Ryabov
 * @date        February 2024
 */
defined('_JEXEC') or die;

class JFormFieldInfo extends JFormField
{
    protected $type = 'Info';

    protected function getLabel()
    {
        return '';
    }

    protected function getInput()
    {
        $title = (string)$this->element['title'];
        $docurl = (string)$this->element['docurl'];
        $extid = (int)$this->element['extid'];

        $html = array();

        $html[] = '<{jqmstart}/>';
        $html[] = '<p><h2>' . $title . ' 3.2.2</h2></p>';
        if ($extid) {
            $html[] = '<p><b>Expiration</b>: <span class="mjactive"><span id="mjsubscription"></span> days left</span><span class="mjexpired">Expired</span> <a target="_blank" class="mjrenewurl ui-btn ui-mini" href="https:///www.mobilejoomla.com/orders.html">Renew</a></p>';
            $doc = JFactory::getDocument();
            $doc->addStyleDeclaration('.mjactive,.mjexpired,.mjrenewurl{display:none}');
            $doc->addScriptDeclaration("window.mjExtId='$extid';");
            $doc->addScript(JUri::root(true) . '/templates/mobile_basic/fields/info.js');
        }
        $html[] = '<p>Template for <a target="_blank" href="https:///www.mobilejoomla.com/">Mobile Joomla!</a> extension</p>';
        $html[] = '<p><a target="_blank" href="' . $docurl . '">Documentation</a></p>';
        // @todo Use public Support forum for mobile_basic (same for j25/j3x)
        $html[] = '<p><a target="_blank" href="https:///www.mobilejoomla.com/forum/18-premium-support.html">Premium support forum</a></p>';
        $html[] = '<{jqmend}/>';

        return implode($html);
    }
}
