<?php
/**
 * Mobile Basic template for Mobile Joomla! extension
 * https://www.mobilejoomla.com
 *
 * @version     3.2.2
 * @license     GNU/GPL v2 - http://www.gnu.org/licenses/gpl-2.0.html
 * @copyright   (C) 2008-2024 Kuneri Ltd. / Denis Ryabov
 * @date        February 2024
 */
defined('_JEXEC') or die;

class JFormFieldJqmMedia extends JFormField
{
    protected $type = 'jqmMedia';
    protected static $initialised = false;

    protected function getLabel()
    {
        return '<{jqmstart}/><div class="ui-field-contain">' . parent::getLabel() . '<{jqmend}/>';
    }

    protected function getInput()
    {
        if (!self::$initialised) {
            JHtml::_('bootstrap.renderModal');
            JHtml::_('bootstrap.tooltip', '.hasTipPreview');
            $doc = JFactory::getDocument();
            $doc->addScriptDeclaration('window.mjRoot = "' . JUri::root() . '";');
            $doc->addScriptDeclaration(file_get_contents(__DIR__ . '/jqmmedia.js'));
            self::$initialised = true;
        }

        $xml = "<?xml version='1.0' encoding='utf-8'?><form><field name='{$this->name}' type='media' label='' hiddenLabel='true' /></form>";
        $form = JForm::getInstance('mj_form_' . $this->name, $xml);
        $form->bind(array($this->name => $this->value));

        return '<{jqmstart}/><div data-enhance="false">' . $form->renderField($this->name) . '</div></div><{jqmend}/>';
    }
}
