<?php
/**
 * @package     Joomla.Site
 * @subpackage  Layout
 *
 * @copyright   (C) 2014 Open Source Matters, Inc. <https://www.joomla.org>
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 */

defined('_JEXEC') or die;

use Joomla\CMS\Factory;
use Joomla\CMS\Language\Text;

$item    = $displayData['data'];
$display = $item->text;
$app = Factory::getApplication();

if ($displayData['active'])
{
	if ($item->base > 0)
	{
		$limit = 'limitstart.value=' . $item->base;
	}
	else
	{
		$limit = 'limitstart.value=0';
	}

	if ($app->isClient('administrator'))
	{
		$link = 'href="#" onclick="document.adminForm.' . $item->prefix . $limit . '; Joomla.submitform();return false;"';
	}
	elseif ($app->isClient('site'))
	{
		$link = 'href="' . $item->link . '"';
	}
}

static $theme;
if (!isset($theme)) {
    $app = Factory::getApplication();
    $template = $app->getTemplate(true);
    $theme = $template->params->get('theme_pagination');
    if ($theme) {
        $theme = ' ui-btn-' . $theme;
    }
}

?>
<?php if ($displayData['active']) : ?>
	<a aria-label="<?php echo $aria; ?>" <?php echo $link; ?> class="pagenav ui-btn<?php echo $theme; ?>"><?php echo $display; ?></a>
<?php elseif (isset($item->active) && $item->active) : ?>
	<?php $aria = Text::sprintf('JLIB_HTML_PAGE_CURRENT', strtolower($item->text)); ?>
	<span aria-current="true" aria-label="<?php echo $aria; ?>" class="pagenav ui-btn<?php echo $theme; ?> ui-state-disabled"><?php echo $display; ?></span>
<?php else : ?>
	<span class="pagenav ui-btn<?php echo $theme; ?> ui-state-disabled" aria-hidden="true"><?php echo $display; ?></span>
<?php endif; ?>
