<?php
/**
 * Mobile Basic template for Mobile Joomla! extension
 * https://www.mobilejoomla.com
 *
 * @version        3.2.2
 * @license        GNU/GPL v2 - http://www.gnu.org/licenses/gpl-2.0.html
 * @copyright    (C) 2008-2024 Kuneri Ltd. / Denis Ryabov
 * @date        February 2024
 */

use Joomla\Utilities\ArrayHelper as JArrayHelper;

defined('_JEXEC') or die('Restricted access');

// @todo Is it possible to use standard Joomla's head processing?
// @todo Currently it's used for these extras: preload_styleSheets, loadCSS, preload_scripts, loadJS, css/custom.css

/** @var JDocumentHTML $document */
/** @var array $headerstuff */

$tagEnd = (JPluginHelper::isEnabled('system', 'sh404sef')
    || JPluginHelper::isEnabled('system', 'shsef')
    || JPluginHelper::isEnabled('system', 'acesef')
    || JPluginHelper::isEnabled('system', 'byebyegenerator')
) ? "/>\n" : '>';

$buffer .= $document->loadRenderer('metas')->render('');

// Generate preloaded link declarations
foreach ($headerstuff['preload_styleSheets'] as $strSrc => $strAttr) {
    if ($strSrc) {
        $buffer .= '<link rel="stylesheet" href="' . $strSrc . '"' . $tagEnd;
        $this->loaded_css[$strSrc] = 1;
    }
}

// Generate Template link declaration
$buffer .= $this->loadCSS();

$buffer .= $document->loadRenderer('styles')->render('');

// Generate preloaded script file links
foreach ($headerstuff['preload_scripts'] as $strSrc => $strAttr) {
    if ($strSrc) {
        $buffer .= '<script src="' . $strSrc . '"></script>';
        $this->loaded_js[$strSrc] = 1;
    }
}

// Generate Template script file links (with custom.js)
$buffer .= $this->loadJS();

$buffer .= $document->loadRenderer('scripts')->render('');

if (@filesize(JPATH_THEMES . '/' . $this->template . '/css/custom.css')) {
    $buffer .= $this->htmlCSS($this->base . 'css/custom.css');
}
