<?php
/**
 * Mobile Basic template for Mobile Joomla! extension
 * https://www.mobilejoomla.com
 *
 * @version     3.2.2
 * @license     GNU/GPL v2 - http://www.gnu.org/licenses/gpl-2.0.html
 * @copyright   (C) 2008-2024 Kuneri Ltd. / Denis Ryabov
 * @date        February 2024
 */
defined('_JEXEC') or die('Restricted access');

class_exists('JDocumentRenderer') || JLoader::registerAlias('JDocumentRenderer', Joomla\CMS\Document\DocumentRenderer::class);

class JDocumentRenderer_MjBase extends JDocumentRenderer
{
    public function render($name = null, $params = array(), $content = null)
    {
        static $done = false;
        if (!$done) {
            $done = true;
            /** @var MjJqmFramework $mjJqmHelper */
            $mjJqmHelper = MJJqmFramework::getInstance();
            $mjJqmHelper->prepareHead();
        }
        return null;
    }
}

class JDocumentRendererMjHead extends JDocumentRenderer_MjBase
{
    public function render($name = null, $params = array(), $content = null)
    {
        parent::render($name, $params, $content);
        return $this->_doc->getBuffer('mjhead');
    }
}

class JDocumentRendererMjBody extends JDocumentRenderer_MjBase
{
    public function render($name = null, $params = array(), $content = null)
    {
        parent::render($name, $params, $content);
        return $this->_doc->getBuffer('mjbody');
    }
}
