/* Mobile Basic 3.2.2 | mobilejoomla.com/license.html */
(function ($, win, doc, undefined) {
    var jsMap = 0,
        cssMap,
        $mobile = $.mobile,
        makeUrlAbsolute = $mobile.path.makeUrlAbsolute,
        base;

    function initLoad() {
        if (jsMap !== 0) {
            return;
        }
        jsMap = {};
        cssMap = {};
        base = $mobile.getDocumentBase();
        var head = doc.getElementsByTagName('head')[0].childNodes,
            absUrl,
            i;
        for (i = 0; i < head.length; i++) {
            if ((/^script$/i).test(head[i].tagName)) {
                if (head[i].src !== '') {
                    absUrl = makeUrlAbsolute(head[i].src, base);
                    jsMap[absUrl] = 1;
                }
            } else if ((/^link$/i).test(head[i].tagName) && (/^stylesheet$/i).test(head[i].rel)) {
                if (head[i].href !== '') {
                    absUrl = makeUrlAbsolute(head[i].href, base);
                    cssMap[absUrl] = 1;
                }
            }
        }
        if (win.mj !== undefined) {
            for (i = 0; i < mj.length; i++) {
                absUrl = makeUrlAbsolute(mj[i], base);
                jsMap[absUrl] = 1;
            }
        }
        win.mj = {
            push: function (url) {
                absUrl = makeUrlAbsolute(url, base);
                jsMap[absUrl] = 1;
            }
        };
    }

    $.mj = {
        loadJS: function (url) {
            if (jsMap === 0) {
                initLoad();
            }
            var absUrl = makeUrlAbsolute(url, base);
            if (jsMap[absUrl] !== undefined) {
                return;
            }
            jsMap[absUrl] = 1;
            var s = doc.createElement('script');
            s.src = url;
            s.type = null;
            doc.getElementsByTagName('head')[0].appendChild(s);
            s.type = 'text/javascript';
            $.ajax({
                url: url,
                dataType: 'script',
                cache: true,
                async: false,
                global: false
            });
        },
        loadCSS: function (url) {
            if (jsMap === 0) {
                initLoad();
            }
            var absUrl = makeUrlAbsolute(url, base);
            if (cssMap[absUrl] !== undefined) {
                return;
            }
            cssMap[absUrl] = 1;
            $('head').append('<link rel="stylesheet" type="text/css" href="' + url + '">');
        },
        firstLoad: true
    };

    $(doc).bind("pagebeforeload", function () {
        if (win.MooTools !== undefined) {
            removeEvents('domready');
            removeEvents('load');
        }
    });

    $(doc).bind("pagechange", function () {
        if ($.mj.firstLoad) {
            $.mj.firstLoad = false;
        } else if (win.MooTools !== undefined) {
            fireEvent('domready');
            removeEvents('domready');
            fireEvent('load');
            removeEvents('load');
        }
    });

    $.ajaxSetup({
        complete: function (jqXHR) {
            if (jqXHR.status === 0 && jqXHR.statusText === 'error' && this.type === 'GET' && this.dataType !== 'script' && $("html").hasClass('ui-loading')) {
                $mobile.loading('show');
                location.href = this.url;
            }
        },
        dataFilter: function (response, type) {
            if (type !== "html") {
                return response;
            }
            var matches = response.match(/^<script>document\.location\.href='([^']+)';<\/script>/i)
                || response.match(/<meta http-equiv="refresh" content="0; ?(?:url=)?'?(.*?)'?" ?\/?>/i);
            if (!matches) {
                return response;
            }
            return $.ajax({url: matches[1], async: false}).responseText;
        }
    });
})(jqm, window, document);